import Flutter
import UIKit

public class SwiftIosSamplePlugin: NSObject, FlutterPlugin {

   static var channel: FlutterMethodChannel?
   
   public static func register(with registrar: FlutterPluginRegistrar) {
    channel = FlutterMethodChannel(name: "sample_channel_for_demo", binaryMessenger: registrar.messenger())
    let instance = SwiftIosSamplePlugin()
    registrar.addMethodCallDelegate(instance, channel: channel!)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    print("inside call function \(call.method)")
    SwiftIosSamplePlugin.channel?.invokeMethod("samplemethod", arguments: ["name","array"])
    result("iOS " + UIDevice.current.systemVersion)
  }
}
